summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Duane Penzien <linuxdad007@yahoo.com>2010-09-22 17:52:54 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-09-22 17:52:54 -0500
commitb563dc32aacb513a129a89297838ea8d90667622 (patch)
tree4e0d43873de5ae6585de65b49e059cfa704e463b /development
parent966d20d5bb36f212c7bdd444d9150a4022ec540e (diff)
downloadslackbuilds-b563dc32aacb513a129a89297838ea8d90667622.tar.gz
slackbuilds-b563dc32aacb513a129a89297838ea8d90667622.tar.xz
development/check: Added (unit test framework)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/check/README7
-rw-r--r--development/check/check.SlackBuild98
-rw-r--r--development/check/check.info10
-rw-r--r--development/check/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/development/check/README b/development/check/README
new file mode 100644
index 0000000000..ddac2aa29a
--- /dev/null
+++ b/development/check/README
@@ -0,0 +1,7 @@
+Check is a unit test framework for C. It features a simple interface for
+defining unit tests, putting little in the way of the developer. Tests are
+run in a separate address space, so Check can catch both assertion failures
+and code errors that cause segmentation faults or other signals. The output
+from unit tests can be used within source code editors and IDEs.
+
+See the project's home page for more information, including a tutorial.
diff --git a/development/check/check.SlackBuild b/development/check/check.SlackBuild
new file mode 100644
index 0000000000..b93bad67f0
--- /dev/null
+++ b/development/check/check.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for Check
+
+# Copyright 2006 Jules Villard <theblatte@loulous.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=check
+VERSION=0.9.8
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-check
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make docdir=/usr/doc/$PRGNAM-$VERSION
+make install docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# No man page is provided
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+cp -a AUTHORS INSTALL THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/check/check.info b/development/check/check.info
new file mode 100644
index 0000000000..02fca8b3ce
--- /dev/null
+++ b/development/check/check.info
@@ -0,0 +1,10 @@
+PRGNAM="check"
+VERSION="0.9.8"
+HOMEPAGE="http://check.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/check/check-0.9.8.tar.gz"
+MD5SUM="5d75e9a6027cde79d2c339ef261e7470"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Duane Penzien"
+EMAIL="linuxdad007@yahoo.com"
+APPROVED="rworkman"
diff --git a/development/check/slack-desc b/development/check/slack-desc
new file mode 100644
index 0000000000..14d096f6db
--- /dev/null
+++ b/development/check/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+check: Check (unit test framework)
+check:
+check: Check is a unit test framework for C. It features a simple interface
+check: for defining unit tests, putting little in the way of the developer.
+check: Tests are run in a separate address space, so Check can catch both
+check: assertion failures and code errors that cause segmentation faults or
+check: other signals. The output from unit tests can be used within source
+check: code editors and IDEs.
+check:
+check: See http://check.sf.net for information and tutorial.
+check: